Public API
Memory routes
Generated reference for the supported Memory API routes.
This page is generated from routes explicitly approved for the public API contract. Use the base URL
https://api.redgold.ai and authenticate as described in the authentication guide.POST /api/memory/system/evaluate
Authenticated scoped memory system evaluate.
Authentication: required. Protocol: unary.
POST /api/memory/system/index
Authenticated scoped memory system index.
Authentication: required. Protocol: unary.
POST /api/memory/system/ingest
Authenticated scoped memory system ingest.
Authentication: required. Protocol: unary.
POST /api/memory/system/recall
Authenticated scoped memory system recall.
Authentication: required. Protocol: unary.
POST /api/memory/system/snapshot
Authenticated scoped memory system snapshot.
Authentication: required. Protocol: unary.